<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:sequence" mode="custom" priority="2" xmlns:syn="http://ws.apache.org/ns/synapse">

        <label class="content-header">
            <img src="extensions/core/images/sequence_mediator.gif"/>
            <xsl:text> Sequence Mediator</xsl:text>
        </label>
        <br/>
        <br/>

        <label>Referring sequence </label>
        <label style="margin-left: 8em;">
            <xsl:if test="@key!=''"><xsl:value-of select="@key"/></xsl:if>
            <xsl:if test="@key=''">Not specified</xsl:if>
        </label>

    </xsl:template>

</xsl:stylesheet>