/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file is for the clone mediator specific UI operations
 */

initedit["clone"] = function initcloneedit(mediator) {

    var targets = mediator.getElementsByTagName("syn:target");
    if (targets.length == 0) {
        targets = mediator.getElementsByTagName("target");
    }

    for (var i=0; i<targets.length; i++) {
        var target_position = targets[i].getAttribute("esb_med_pos");
        targets[i].setAttribute("tg_pos", parseInt(target_position.substring(target_position.lastIndexOf(".") + 1, target_position.length)) + 1);
    }
}

collectdata["clone"] = function collectclonedata(mediator, validate) {

    var cont_par = document.getElementById("continueParent").value;
    mediator.setAttribute("continueParent", cont_par);
    return true;
};

mediatorelementstring["clone"] = function logstring() {
    return "<syn:clone xmlns:syn='http://ws.apache.org/ns/synapse'/>";
};