/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file is for the iterate mediator specific UI operations
 */

collectdata["iterate"] = function collectlogdata(mediator, validate) {

    var cont_par = document.getElementById("continueParent");
    var pre_pay = document.getElementById("preservePayload");
    var itr_expr = document.getElementById("itr_expression");
    var att_path = document.getElementById("attach_path");

    if (cont_par != undefined && cont_par.options != undefined && cont_par.options.selectedIndex != undefined) {
        mediator.setAttribute("continueParent", cont_par.options[cont_par.options.selectedIndex].value);
    }

    var doattachpath = false;

    if (pre_pay != undefined && pre_pay.options != undefined && pre_pay.options.selectedIndex != undefined) {
        mediator.setAttribute("preservePayload", pre_pay.options[pre_pay.options.selectedIndex].value);
        doattachpath = true;
    }

    if (itr_expr != undefined && itr_expr.value != undefined) {
        mediator.setAttribute("expression", itr_expr.value);
    }

    if (doattachpath && att_path != undefined && att_path.value != undefined && att_path.value != "") {
        mediator.setAttribute("attachPath", att_path.value);
    } else {
        mediator.removeAttribute("attachPath");
    }
    
    return true;
};

mediatorelementstring["iterate"] = function logstring() {
    return "<syn:iterate xmlns:syn='http://ws.apache.org/ns/synapse'/>";
};