<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="*" xmlns:syn="http://ws.apache.org/ns/synapse">
        <xsl:element name="div">
                            <xsl:attribute name="id">
                                <xsl:value-of select="concat('statement',@statement_index)"/>
                            </xsl:attribute>
                            <div class="area-div">
                            <table border="0" style="width:500px;">
                            <tr>
	                            <td>SQL<font style='color: red;font-size: 8pt;'>&#160;*</font></td>
	                            <td>
	                            <xsl:element name="input">
	                                <xsl:attribute name="id">
	                                    <xsl:value-of
	                                            select="concat('sql_id',@statement_index)"/>
	                                </xsl:attribute>
	                                <xsl:attribute name="type">text</xsl:attribute>
	                                <xsl:attribute name="class">esb-edit</xsl:attribute>
	                                <xsl:attribute name="value">
	                                    <xsl:value-of
	                                            select="syn:sql"/>
	                                </xsl:attribute>
	                            </xsl:element>
	                            </td>
	                            <td>
	                            <label>statement</label>
	                            <a href="#" id="delete_link">
	                                                <xsl:attribute name="onclick">javascript:deletestatementdbr('<xsl:value-of select="@statement_index"/>','<xsl:value-of select="@esb_med_pos"/>'); return false;
	                                                </xsl:attribute>
	                                                &#160;&#160;&#160;&#160;
	                            </a>
	                            </td>
                            </tr>
                            </table>
                            
                            <span style="margin-left:15px;">Parameters</span>
                          <div id="common_table_content">
                            <xsl:element name="table">
                                <xsl:attribute name="border">0</xsl:attribute>
                                <xsl:attribute name="cellpadding">0</xsl:attribute>
                                <xsl:attribute name="width">600</xsl:attribute>
                                <xsl:attribute name="cellspacing">0</xsl:attribute>
                                <tbody>
                                    <xsl:attribute name="id">
                                        <xsl:value-of
                                                select="concat('parameters',@statement_index)"/>
                                    </xsl:attribute>
                                </tbody>
                            </xsl:element>
                         </div>
                            <xsl:element name="input">
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:attribute name="type">button</xsl:attribute>
                                <xsl:attribute name="class">panelbutton_default</xsl:attribute>
                                <xsl:attribute name="value">Add Parameter</xsl:attribute>
                                <xsl:attribute name="onclick">javascript:addparameterdbr('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="@pindex"/>','<xsl:value-of select="@statement_index"/>','0');
                                </xsl:attribute>
                                <xsl:attribute name="style">margin-left: 15px;width:100px;
                                </xsl:attribute>
                            </xsl:element>
                            </div>
                            <br/>
                            <br/>
                           </xsl:element>
            </xsl:template>
  </xsl:stylesheet>